% This file is released under the terms of the GNU General Public License,
% version 3. See http://www.gnu.org/licenses/gpl.html

function ks = BegPlen(avs,noBins, minX, maxX)

avs = avs(avs >= minX & avs <= maxX);
t = 10.^(linspace(log10(minX),log10(maxX),noBins));
for i = 1:noBins
    fb(i) = (1 - (minX/maxX)^0.5)^-1 * (1 - (minX/t(i))^0.5);
end
for i = 1:noBins
    ys(i) = nnz(avs<t(i));
end
ys = ys / length(avs);

ks= 1+ sum(fb - ys)/noBins;
