% This file is released under the terms of the GNU General Public License,
% version 3. See http://www.gnu.org/licenses/gpl.html

function [kappa_size,kappa_dur,num_avalanches] = calculateKappa(data, threshold, noBins, minX, maxX)
    [aval_size, aval_dur] = avalanches(data,0,threshold);
    
    kappa_size = BegPlen(aval_size, noBins, minX, maxX);
    kappa_dur = BegPlenAvd(aval_dur, noBins, 1, 100);
    num_avalanches = length(aval_size);
end