% This file is released under the terms of the GNU General Public License,
% version 3. See http://www.gnu.org/licenses/gpl.html

function [ names,values ] = get_all_power_info( timeSeries )
    signalInfo=nbt_Info();
    signalInfo.converted_sample_frequency = 10^3;


    result = nbt_doPeakFit(timeSeries,signalInfo);
    disp(result);
    names = result.Biomarkers;
    values = zeros(1,length(names));
    for i=1:length(names)
        name = names(i);
        value = result.(name{1});
        if isa(value,'double')
             values(i)=value;
        end
    end
end

