% This file is released under the terms of the GNU General Public License,
% version 3. See http://www.gnu.org/licenses/gpl.html

function [  ] = plot_avalanche_sim_vs_theoretical( path,aval_size,minmax,powerlaw_shift,title)

    fig=figure('name','Avalanche kappa');
    set(fig,'PaperPositionMode','auto');
    set(fig,'Position',[100, 100, 1000, 800]);
    set(fig,'Visible','off');

    powerPlot(aval_size, fig, 24,minmax,powerlaw_shift,'o', 'r');
    xlabel('log_{10}#Neurons');
    ylabel('log_{10}P(Avalanche Size)');

    print(strcat(path,'Avalanche_statistics_kstat',title,'.png'),'-dpng');
end