function [filestruct] = power_spectra_plot( dir_path )
    try
        
        figure;
        hold on;
        
%         [all_f,all_p] = get_all_power_spectra_for_ei(dir_path,0.9,1.1);
%         mean_p = mean(all_p,2);
%         sd_p = std(all_p,0,2);
%         plot(all_f,mean_p,'k','LineWidth',2);
%         plot(all_f,mean_p-sd_p,'Color',[0.7 0.7 0.7],'LineWidth',2);
%         plot(all_f,mean_p+sd_p,'Color',[0.7 0.7 0.7],'LineWidth',2);
%         set(gca,'XScale','log');
%         set(gca,'YScale','log');
        
        [all_f,all_p] = get_all_power_spectra_for_ei(dir_path,1,1);
        mean_p = mean(all_p,2);
        sd_p = std(all_p,0,2);
        plot(all_f,mean_p,'k','LineWidth',2);
        plot(all_f,mean_p-sd_p,'Color',[0.7 0.7 0.7],'LineWidth',2);
        plot(all_f,mean_p+sd_p,'Color',[0.7 0.7 0.7],'LineWidth',2);
        set(gca,'XScale','log');
        set(gca,'YScale','log');
        
%         [all_f,all_p] = get_all_power_spectra_for_ei(dir_path,1.1,0.9)
%         mean_p = mean(all_p,2);
%         sd_p = std(all_p,0,2);
%         plot(all_f,mean_p,'k','LineWidth',2);
%         plot(all_f,mean_p-sd_p,'Color',[0.7 0.7 0.7],'LineWidth',2);
%         plot(all_f,mean_p+sd_p,'Color',[0.7 0.7 0.7],'LineWidth',2);
%         set(gca,'XScale','log');
%         set(gca,'YScale','log');
%         
        xticks([2 4 8 16 32 64]);
        xlim([1.6 64]);
%         fill(x2, inBetween, 'g');
        
        drawnow;        
    catch E
        disp('errors');
        disp(getReport(E));
    end
end
