% This file is released under the terms of the GNU General Public License,
% version 3. See http://www.gnu.org/licenses/gpl.html

function [ signalWithNoise ] = add_white_noise( signalTimeSeries , sdNoise )

    noiseSignal = normrnd(0,sdNoise,size(signalTimeSeries,1),1);
    signalWithNoise = signalTimeSeries + noiseSignal;
    signalWithNoise( find(signalWithNoise)<0 )=0;

end

