% This file is released under the terms of the GNU General Public License,
% version 3. See http://www.gnu.org/licenses/gpl.html

function [ ] = plot_excinh_firing( plot_path,exc_inh_data )
    
    fig=figure('name','Activity');
    set(fig,'PaperPositionMode','auto');
    set(fig,'Position',[100, 100, 1000, 800]);
    set(fig,'Visible','off');

    timeSeriesLength=size(exc_inh_data,1);

    plot(1:timeSeriesLength,exc_inh_data(1:timeSeriesLength,1),'r');
    hold on;
    plot(1:timeSeriesLength,exc_inh_data(1:timeSeriesLength,2),'b');
    xlabel('Time(ms)');
    ylabel('Spikes/ms');
    
    print(strcat(plot_path,'Activity','.png'),'-dpng');

end

