#     Originally created by Arthur-Ervin Avramiea (2018), a.e.avramiea@vu.nl

#     This program is free software: you can redistribute it and/or modify
#     it under the terms of the GNU General Public License as published by
#     the Free Software Foundation, either version 3 of the License, or
#     (at your option) any later version.
# 
#     This program is distributed in the hope that it will be useful,
#     but WITHOUT ANY WARRANTY; without even the implied warranty of
#     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#     GNU General Public License for more details.
# 
#     You should have received a copy of the GNU General Public License
#     along with this program.  If not, see <http://www.gnu.org/licenses/>.

import numpy as np

exc_values = np.arange(0.1,1.025,0.025)
inh_values = np.arange(0.1,1.025,0.025)


def get_to_str(vect):
    new_vect = []
    for i in xrange(len(vect)):
        new_vect.append(str(vect[i]))
    return new_vect

string=""

for r in xrange(1,11):
    for net_idx in xrange(len(exc_values)):
        exc_val = exc_values[net_idx]
        for net_idx2 in xrange(len(exc_values)):
            inh_val = inh_values[net_idx2]

            params_vect = get_to_str([r,exc_val,inh_val])
            string+=" ".join(params_vect)+"\n"



# for r in xrange(1,6):
#     for net_idx1 in xrange(len(exc_values)):
#         for net_idx2 in xrange(len(exc_values)):
#             exc_val = exc_values[net_idx1]
#             inh_val = inh_values[net_idx2]
#             for multiplier_idx_exc in xrange(len(multiplier_values)):
#                 for multiplier_idx_inh in xrange(len(multiplier_values)):
#                     crt_multiplier_exc = multiplier_values[multiplier_idx_exc]
#                     crt_multiplier_inh = multiplier_values[multiplier_idx_inh]
#                     params_vect = get_to_str([r,exc_val,inh_val,vect[0]*crt_multiplier_exc,vect[1]*crt_multiplier_exc,vect[2]*crt_multiplier_inh,vect[3]*crt_multiplier_inh])
#                     string+=" ".join(params_vect)+"\n"

from cros_model.configuration import configuration as conf
configuration = conf.get_configuration()

param_file_name_path = configuration[conf.STOPOS_PATH] + "AllNetworkOutput.param"

with open(param_file_name_path,"w") as f:
    f.write(string)